; CONFIG.INC
; General compile-time configuration options

.define	max_explosions_sprites	8	; Maximum number of sprite explosions
.define	max_explosions_terrain	16	; Maximum number of terrain explosions

.define	start_lives		3	; Number of lives we start with -1.
.define	hit_accuracy		12	; Size of the bounding-box for enemy collision detections.

.define	death_time		128	; How long we stay alive after being shot.
.define	life_time		21*2	; How long we take to scroll in after being blattered

.define num_stars		16	; How many scrolling stars?

.define	bullet_speed		4	; Speed of the bullets

.define ENABLE_TITLES			; Display intro titles?
.define CAN_FIRE			; Let the player fire?
;.define LIVE_UPDATE_TILES		; If DEFINED, will update the shot terrain tiles LIVE. WILL CAUSE GLITCHES!
;.define SUPER_SIZE_ME			; Makes all sprites twice as big. Stupid, pointless.
;.define GOD_MODE			; IDDQD
.define FAVOUR_VOLUME			; Use loudest sound rather than highest priority sound
;.define DISABLE_STARS			; Self explanatory
;.define LIVE_UPDATE_SPRITES		; If DEFINED, will write sprites directly to VRAM
;.define STAR_CHECK			; Press+Hold 1 for BACKGROUND SCROLLING, 2 for STAR SCROLLING
.define DISABLE_MUSIC			; Disable the music?